cls
@echo off
CLS
color 0a
Title 卸载
set vmbit=
if /i %PROCESSOR_IDENTIFIER:~0,3% neq x86 set vmbit=64

echo 你确定要卸载畅捷数据查询系统吗?
echo 按任意键继续卸载,否则请关闭窗口 !!!&pause>nul
echo 取消DLL文件的注册...
regsvr32 /u /s "%cd%\AxInterop.grproLib.dll"
regsvr32 /u /s "%cd%\DevComponents.DotNetBar2.dll"
regsvr32 /u /s "%cd%\gregn50.dll"
regsvr32 /u /s "%cd%\grdes50.dll"
regsvr32 /u /s "%cd%\Interop.grproLib.dll"
regsvr32 /u /s "%cd%\Microsoft.VisualBasic.PowerPacks.Vs.dll"
regsvr32 /u /s "%cd%\stdole.dll"


echo 删除快捷方式
del /f /q "%AllUsersProfile%\桌面\畅捷数据查询系统.lnk" >nul 2>nul
del /f /q "%AllUsersProfile%\Desktop\畅捷数据查询系统.lnk" >nul 2>nul
del /f /q "%USERPROFILE%\桌面\畅捷数据查询系统.lnk" >nul 2>nul
del /f /q "%USERPROFILE%\Desktop\畅捷数据查询系统.lnk" >nul 2>nul
del /f /q "%PUBLIC%\Desktop\畅捷数据查询系统.lnk" >nul 2>nul
if exist Lock.txt (del Lock.txt)
if exist %USERPROFILE%\desktop\%lnk%.lnk (del /f %USERPROFILE%\desktop\%lnk%.lnk  >NUL 2>NUL)
if exist config.reg (del config.reg)
reg delete "HKEY_CLASSES_ROOT\.dll" /f >NUL 2>NUL
reg delete "HKEY_CLASSES_ROOT\dll_auto_file" /f>NUL 2>NUL
echo 卸载完成！请按任意键退出！ 
pause>nul 